EntryDestroyedException (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.cache

## Class EntryDestroyedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.EntryDestroyedException

- All Implemented Interfaces:
    java.io.Serializable

      public class EntryDestroyedException
      extends CacheRuntimeException

  Indicates that a method was invoked on an entry that has been destroyed.
  Since:
    GemFire 3.0
  See Also:
    `Region.Entry`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryDestroyedException()` Constructs a new `EntryDestroyedException`.
    `EntryDestroyedException(java.lang.String s)` Constructs a new `EntryDestroyedException` with the message.
    `EntryDestroyedException(java.lang.String s, java.lang.Throwable ex)` Constructs a new `EntryDestroyedException` with a detailed message and a causal exception.
    `EntryDestroyedException(java.lang.Throwable ex)` Construct a `EntryDestroyedException` with a cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntryDestroyedException

          public EntryDestroyedException()

      Constructs a new `EntryDestroyedException`.

    - #### EntryDestroyedException

          public EntryDestroyedException(java.lang.String s)

      Constructs a new `EntryDestroyedException` with the message.
      Parameters:
        `s` - the detailed message for this exception

    - #### EntryDestroyedException

          public EntryDestroyedException(java.lang.String s,
                                         java.lang.Throwable ex)

      Constructs a new `EntryDestroyedException` with a detailed message and a causal exception.
      Parameters:
        `s` - the message
        `ex` - a causal Throwable

    - #### EntryDestroyedException

          public EntryDestroyedException(java.lang.Throwable ex)

      Construct a `EntryDestroyedException` with a cause.
      Parameters:
        `ex` - the causal Throwable